Page MenuHomePhabricator

[OpenMP][OMPT] Add event callbacks for taskwait with depend
ClosedPublic

Authored by protze.joachim on Jun 15 2020, 3:47 PM.

Details

Summary

This adds the missing event callbacks to express dependencies on included tasks and taskwait with depend clause.

Diff Detail

Event Timeline

protze.joachim created this revision.Jun 15 2020, 3:47 PM
hbae added a comment.Jun 24 2020, 11:43 AM

The change looks good to me.
Can you check why the test fails? It passes on my test system.

Rebase on current master

The change looks good to me.
Can you check why the test fails? It passes on my test system.

I had this patch and the mutexinoutset patch on the same branch (marked as dependent patch). The output for task dependencies changed in the mutexinoutset patch. I wrote the filecheck patterns to match the new output.
I restarted the test and hope that the rebuild pulls current master as the base.

hbae accepted this revision.Jul 1 2020, 8:06 AM

LGTM.

This revision is now accepted and ready to land.Jul 1 2020, 8:06 AM
This revision was automatically updated to reflect the committed changes.